---
updatedAt: 2026-03-26T14:49:41.000Z
agentTools:
  projectIndex: https://api-docs.omnisend.com/llms.txt
---

# Authentication

Available authentication methods: **API key** and **OAuth 2.0**.

### API key

Provide your API key using the `Authorization` header with every request. All 2026-03-15 requests also require the `Omnisend-Version` header.

```shell
curl --request GET \
  --url 'https://api.omnisend.com/api/segments' \
  --header 'Authorization: Omnisend-API-Key YOUR-API-KEY' \
  --header 'Omnisend-Version: 2026-03-15'
```

To get your **API key** go to <a href="https://app.omnisend.com/integrations/api-keys" target="_blank">API keys section</a>

### OAuth

OAuth 2.0 is also supported using an `Authorization: Bearer {access-token}` header. Please refer to the <a href="https://api-docs.omnisend.com/v2026-03-15/reference/oauth">OAuth page</a> for the full flow.